Bug 1133536 - redhat-lsb does not requires /usr/sbin/sendmail
Summary: redhat-lsb does not requires /usr/sbin/sendmail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1135991
TreeView+ depends on / blocked
 
Reported: 2014-08-25 12:09 UTC by Karl Mikaelsson
Modified: 2014-09-23 04:38 UTC (History)
4 users (show)

Fixed In Version: redhat-lsb-4.1-29.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1135991 (view as bug list)
Environment:
Last Closed: 2014-09-09 22:07:14 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Karl Mikaelsson 2014-08-25 12:09:32 UTC
Description of problem:

LSB requires the presence of /usr/sbin/sendmail, but it is not present after installing redhat-lsb on a minimal Fedora 20 installation.

Version-Release number of selected component (if applicable):

redhat-lsb-submod-security-4.1-21.fc20.x86_64
redhat-lsb-languages-4.1-21.fc20.x86_64
redhat-lsb-submod-multimedia-4.1-21.fc20.x86_64
redhat-lsb-core-4.1-21.fc20.x86_64
redhat-lsb-printing-4.1-21.fc20.x86_64
redhat-lsb-cxx-4.1-21.fc20.x86_64
redhat-lsb-desktop-4.1-21.fc20.x86_64
redhat-lsb-4.1-21.fc20.x86_64

How reproducible:

Happens every time.

Steps to Reproduce:

1. Install a minimal Fedora 20
2. Install redhat-lsb

Actual results:

There is no /usr/sbin/sendmail present.

Expected results:

/usr/sbin/sendmail being present, as described by the LSB specification in these two links:

 - http://refspecs.linuxbase.org/LSB_4.1.0/LSB-Core-generic/LSB-Core-generic/command.html
 - http://refspecs.linuxbase.org/LSB_4.1.0/LSB-Core-generic/LSB-Core-generic/baselib-sendmail-1.html

Additional info:

The /usr/sbin/sendmail requirement was removed by Parag Nemade <pnemade> in commit 4d8d159f616b6979d1d6402934bf77ef28ae7a8b of git://pkgs.fedoraproject.org/redhat-lsb.git, without specific comments about sendmail. The commit message references rh#800249 which is a request to upgrade redhat-lsb to 4.1, but nothing mentions the sendmail change.

This is somewhat similar to bug 832928 but after reading that bug many times I'm not sure if the problem was that redhat-lsb requires /usr/sbin/sendmail or if the problem was that redhat-lsb was lacking the requirement. Looking through the changes of redhat-lsb.git repo for the time between the bug being reported and the bug being closed, I can find no evidence of any changes that would motivate closing the bug.

By taking another look at the git repo again, it seems like this problem seems to affect all Fedora versions from F17 and onwards. I've verified it on Fedora 20.

Comment 1 Parag Nemade 2014-08-27 16:33:35 UTC
I just looked into bug 832928 and saw that bug was fixed by adding requires to /usr/sbin/sendmail in spec file. It was a simple bug requesting to add /usr/sbin/sendmail and fix appeared in build redhat-lsb-4.1-5.fc17

Some history about this package:-
The package owner was not getting time to work on redhat-lsb and I got opportunity to help this package so I started co-maintaining this package. I did fix some bugs then later some day some new person got appointed to update this package for lsb 4.1 specification and I got task to help him with packaging. He prepared new change and I just saw packaging aspect and not the lsb specification changes as he was working for the package owner, I trusted his work. Later, this new person did find the mistake that he did not add /usr/sbin/sendmail and committed in f17 but looks like he failed to do so in master(f18) branch and we missed this commit now in all further changes. Then I have not seen him working on this package anymore but I continued working on this package but on rawhide(f18) only.

Thank you for finding this missing requires. Let me fix this on all the available fedora branches.

Comment 2 Fedora Update System 2014-08-28 14:33:43 UTC
redhat-lsb-4.1-29.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/redhat-lsb-4.1-29.fc21

Comment 3 Fedora Update System 2014-08-28 16:44:07 UTC
Package redhat-lsb-4.1-29.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redhat-lsb-4.1-29.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9894/redhat-lsb-4.1-29.fc21
then log in and leave karma (feedback).

Comment 4 Parag Nemade 2014-09-01 13:02:33 UTC
I will push now update to f20 and f19 also.

Comment 5 Fedora Update System 2014-09-01 13:51:34 UTC
redhat-lsb-4.1-15.1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/redhat-lsb-4.1-15.1.fc19

Comment 6 Fedora Update System 2014-09-01 13:52:38 UTC
redhat-lsb-4.1-21.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/redhat-lsb-4.1-21.1.fc20

Comment 7 Fedora Update System 2014-09-09 22:07:14 UTC
redhat-lsb-4.1-21.1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-10 13:26:49 UTC
redhat-lsb-4.1-15.1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-09-23 04:38:38 UTC
redhat-lsb-4.1-29.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.